/* 
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 * 
 * See LICENSE.bfa for copyright and licensing details.
 */
#ifndef __BFAD_IM_COMPAT_H__
#define __BFAD_IM_COMPAT_H__

#if (LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26))
extern struct class_device_attribute *bfad_im_host_attrs[];
extern struct class_device_attribute *bfad_im_vport_attrs[];

/*
 * Set the residual length for the SCSI command
 */
#ifndef scsi_set_resid
#define scsi_set_resid bfad_im_scsi_set_resid
static inline void
bfad_im_scsi_set_resid(struct scsi_cmnd *cmnd, uint32_t resid)
{
	cmnd->resid = resid;
}
#endif

/*
 * Get to know whether the SG list is to be built or not
 */
#ifndef scsi_sg_count
#define scsi_sg_count bfad_im_scsi_sg_count
static inline int
bfad_im_scsi_sg_count(struct scsi_cmnd *cmnd)
{
	return (cmnd->use_sg);
}
#endif

/*
 * Get the scatter/gather buffer
 */
#ifndef scsi_sglist
#define scsi_sglist bfad_im_scsi_sglist
static inline struct scatterlist *
bfad_im_scsi_sglist(struct scsi_cmnd *cmnd)
{
	return ((struct scatterlist *)cmnd->request_buffer);
}
#endif

/*
 * Get the request buffer length, in case the SG list
 * is not required
 */
#ifndef scsi_bufflen
#define scsi_bufflen bfad_im_scsi_bufflen
static inline int
bfad_im_scsi_bufflen(struct scsi_cmnd *cmnd)
{
	return (cmnd->request_bufflen);
}
#endif

static inline void
bfad_load_fwimg(struct pci_dev *pdev)
{
	return;
}

#else
extern struct device_attribute *bfad_im_host_attrs[];
extern struct device_attribute *bfad_im_vport_attrs[];

static inline void
bfad_load_fwimg(struct pci_dev *pdev)
{
	return;
}
#endif
#endif
