/*
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

/**
 * @file bfad_os.c Linux driver OS specific calls.
 */

#include "bfa_os_inc.h"
#include "bfad_drv.h"

void bfa_os_gettimeofday(bfa_timeval_t *tv);
uint32_t bfa_os_get_instance_id(struct bfad_s *bfad);

void
bfa_os_gettimeofday(bfa_timeval_t *tv)
{
	struct timeval  tmp_tv;

	do_gettimeofday(&tmp_tv);
	tv->tv_sec = (uint32_t) tmp_tv.tv_sec;
	tv->tv_usec = (uint32_t) tmp_tv.tv_usec;
}

void
bfa_os_printf(struct bfa_log_mod_s *log_mod, uint32_t msg_id,
			const char *fmt, ...)
{
	va_list ap;
	#define BFA_STRING_256	256
	char tmp[BFA_STRING_256];

	va_start(ap, fmt);
	vsprintf(tmp, fmt, ap);
	va_end(ap);

	printk(tmp);
}

uint32_t
bfa_os_get_instance_id(struct bfad_s *bfad)
{
	return (bfad->inst_no);
}

/**
 * @}
 */
