/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __HAL_CALLBACK_H__
#define __HAL_CALLBACK_H__

#include <cs/bfa_q.h>

typedef void    (*bfa_cb_cbfn_t) (void *cbarg, bfa_boolean_t complete);

/**
 * Generic HAL callback element.
 */
typedef struct {
	bfa_q_t         qe;
	bfa_cb_cbfn_t  cbfn;
	bfa_boolean_t   once;
	uint32_t		rsvd;
	void           *cbarg;
} bfa_cb_qe_t;

#define bfa_cb_queue(__bfa, __hcb_qe, __cbfn, __cbarg) do {		\
	(__hcb_qe)->cbfn  = (__cbfn);					\
	(__hcb_qe)->cbarg = (__cbarg);					\
	bfa_q_enq(&(__bfa)->comp_q, (__hcb_qe));			\
} while (0)

#define bfa_cb_dequeue(__hcb_qe)	bfa_q_qe_deq(__hcb_qe)

#define bfa_cb_queue_once(__bfa, __hcb_qe, __cbfn, __cbarg) do {	\
	(__hcb_qe)->cbfn  = (__cbfn);					\
	(__hcb_qe)->cbarg = (__cbarg);					\
	if (!(__hcb_qe)->once) {					\
		bfa_q_enq(&(__bfa)->comp_q, (__hcb_qe));		\
		(__hcb_qe)->once = BFA_TRUE;				\
	}								\
} while (0)

#define bfa_cb_queue_done(__hcb_qe) do {				\
	(__hcb_qe)->once = BFA_FALSE;					\
} while (0)

#endif /* __HAL_CALLBACK_H__ */
