/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */
#include <bfa.h>
#include <defs/bfa_defs_pci.h>
#include <cs/bfa_debug.h>
#include <bfa_iocfc.h>

extern bfa_module_t hal_mod_flash;
extern bfa_module_t hal_mod_diag;
extern bfa_module_t hal_mod_sgpg;
extern bfa_module_t hal_mod_pport;
extern bfa_module_t hal_mod_fcxp;
extern bfa_module_t hal_mod_uf;
extern bfa_module_t hal_mod_rport;
extern bfa_module_t hal_mod_fcpim;

/**
 * HAL module list terminated by NULL
 */
bfa_module_t *hal_mods[] = {
	&hal_mod_flash,
	&hal_mod_diag,
	&hal_mod_sgpg,
	&hal_mod_pport,
	&hal_mod_fcxp,
	&hal_mod_uf,
	&hal_mod_rport,
	&hal_mod_fcpim,
	NULL
};

/**
 * Message handlers for various modules.
 */
extern bfa_isr_func_t  bfa_isrs[];
bfa_isr_func_t  bfa_isrs[BFI_MC_MAX] = {
	bfa_isr_unhandled,	/* NONE */
	bfa_isr_unhandled,	/* BFI_MC_IOC */
	bfa_pport_isr,		/* BFI_MC_PORT */
	bfa_flash_intr,		/* BFI_MC_FLASH */
	bfa_uf_isr,		/* BFI_MC_UF */
	bfa_fcxp_isr,		/* BFI_MC_FCXP */
	bfa_rport_isr,		/* BFI_MC_RPORT */
	bfa_itnim_isr,		/* BFI_MC_ITNIM */
	bfa_isr_unhandled,	/* BFI_MC_IOIM_READ */
	bfa_isr_unhandled,	/* BFI_MC_IOIM_WRITE */
	bfa_isr_unhandled,	/* BFI_MC_IOIM_IO */
	bfa_ioim_isr,		/* BFI_MC_IOIM */
	bfa_ioim_good_comp_isr,	/* BFI_MC_IOIM_IOCOM */
	bfa_isr_unhandled,	/* NONE */
	bfa_isr_unhandled,	/* NONE */
	bfa_isr_unhandled,	/* NONE */
	bfa_tskim_isr,		/* BFI_MC_TSKIM */
	diag_intr,		/* BFI_MC_DIAG */
	bfa_isr_unhandled,	/* BFI_MC_IPFC */
	bfa_isr_unhandled,	/* BFI_MC_SBOOT */
	bfa_isr_unhandled,	/* BFI_MC_SB */
	bfa_isr_unhandled,	/* --------- */
	bfa_isr_unhandled,	/* --------- */
};
