/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __HAL_MODULES_H__
#define __HAL_MODULES_H__

#include "bfa_uf_priv.h"
#include "bfa_port_priv.h"
#include "bfa_rport_priv.h"
#include "bfa_fcxp_priv.h"
#include "bfa_diag_priv.h"
#include "bfa_fcpim_priv.h"
#include "bfa_flash_priv.h"
#include "bfa_ipfc_priv.h"
#include "bfa_sboot_priv.h"

typedef struct {
	bfa_pport_t	pport;		/*!< physical port module	*/
	struct bfa_fcxp_mod_s fcxp_mod;	/*!< fcxp module		*/
	bfa_uf_mod_t	uf_mod;		/*!< unsolicited frame module	*/
	bfa_rport_mod_t	rport_mod;	/*!< remote port module		*/
	struct bfa_fcpim_mod_s	fcpim_mod;	/*!< FCP initiator module	*/
	bfa_sgpg_mod_t	sgpg_mod;	/*!< SG page module		*/
	bfa_diag_mod_t	diag_mod;	/*!< diagnostics module		*/
	bfa_flash_mod_t	flash_mod;	/*!< flash module		*/
	bfa_ipfc_mod_t	ipfc_mod;	/*!< BFA IPFC receive		*/
	bfa_sboot_t	sboot;		/*!< SAN boot services module	*/
} bfa_modules_t;

#endif /* __HAL_MODULES_H__ */
