/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __HAL_RPORT_H__
#define __HAL_RPORT_H__

#include <bfa_svc.h>

#define BFA_RPORT_MIN	4

typedef struct bfa_rport_mod {
	bfa_rport_t	*rps_list;	/*!< list of rports	*/
	bfa_q_t		rp_free_q;	/*!< free bfa_rports	*/
	bfa_q_t		rp_active_q;	/*!< free bfa_rports 	*/
	uint16_t	num_rports;	/*!< number of rports	*/
} bfa_rport_mod_t;

#define BFA_RPORT_MOD(__bfa)	(&(__bfa)->modules.rport_mod)

/**
 * Convert rport tag to RPORT
 */
#define BFA_RPORT_FROM_TAG(__bfa, _tag)				\
	(BFA_RPORT_MOD(__bfa)->rps_list +				\
	 ((_tag) & (BFA_RPORT_MOD(__bfa)->num_rports - 1)))

/*
 * external functions
 */
void	bfa_rport_isr(bfa_t *bfa, bfi_msg_t *msg);
#endif /* __HAL_RPORT_H__ */
