/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __HAL_SBOOT_H__
#define __HAL_SBOOT_H__

#include <bfa_sboot.h>
#include <bfi/bfi_sboot.h>

typedef struct {
	bfa_sboot_config_t	*sbcfg;
	bfi_sboot_rport_t	*rplist;
	bfi_sboot_lun_t	*lunlist;
	struct bfa_dma_s	sbcfg_dma;
	struct bfa_dma_s	rplist_dma;
	struct bfa_dma_s	lunlist_dma;
	uint16_t		num_sboot_tgts;
	uint16_t		num_sboot_luns;
} bfa_sboot_t;

/*
 * external functions
 */
void	bfa_sboot_isr(bfa_t *bfa, bfi_msg_t *msg);

#endif /* __HAL_SBOOT_H__ */
