/*
 * Copyright (c) 2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */
#ifndef __HAL_UF_H__
#define __HAL_UF_H__

#include <cs/bfa_sm.h>
#include <bfa_svc.h>
#include <bfi/bfi_uf.h>

#define BFA_UF_MIN	(4)

typedef struct bfa_uf_mod {
	bfa_t	*bfa;		/*!< back pointer to HAL */
	bfa_uf_t	*uf_list;	/*!< array of UFs */
	uint16_t	num_ufs;	/*!< num unsolicited rx frames */
	bfa_q_t		uf_free_q;	/*!< free UFs */
	bfa_q_t		uf_posted_q;	/*!< UFs posted to IOC */
	bfa_uf_buf_t *uf_pbs_kva;	/*!< list UF bufs request pld */
	uint64_t	uf_pbs_pa;	/*!< phy addr for UF bufs */
	bfi_uf_buf_post_t *uf_buf_posts;
					/*!< pre-built UF post msgs */
	bfa_cb_uf_recv_t ufrecv;	/*!< uf recv handler function */
	void		*cbarg;		/*!< uf receive handler arg */
} bfa_uf_mod_t;

#define BFA_UF_MOD(__bfa)	(&(__bfa)->modules.uf_mod)

#define ufm_pbs_pa(_ufmod, _uftag)	\
	((_ufmod)->uf_pbs_pa + sizeof(bfa_uf_buf_t) * (_uftag))

void	bfa_uf_isr(bfa_t *bfa, bfi_msg_t *msg);

#endif /* __HAL_UF_H__ */
