/*
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __BFI_UF_H__
#define __BFI_UF_H__

#include "bfi.h"

#pragma pack(1)

typedef enum {
	BFI_UF_H2I_BUF_POST = 1,
} bfi_uf_h2i_t;

typedef enum {
	BFI_UF_I2H_FRM_RCVD = BFA_I2HM(1),
} bfi_uf_i2h_t;

#define BFA_UF_MAX_SGES	2

typedef struct {
	bfi_mhdr_t  mh;		/*!< Common msg header		*/
	uint16_t        buf_tag;	/*!< buffer tag			*/
	uint16_t        buf_len;	/*!< total buffer length	*/
	bfi_sge_t   sge[BFA_UF_MAX_SGES];	/*!< buffer DMA SGEs	*/
} bfi_uf_buf_post_t;

typedef struct {
	bfi_mhdr_t  mh;		/*!< Common msg header		*/
	uint16_t        buf_tag;	/*!< buffer tag			*/
	uint16_t        rsvd;
	uint16_t        frm_len;	/*!< received frame length 	*/
	uint16_t        xfr_len;	/*!< tranferred length		*/
} bfi_uf_frm_rcvd_t;

#pragma pack()

#endif /* __BFI_UF_H__ */
