/*
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */
#ifndef __BFA_DEFS_IPFC_H__
#define __BFA_DEFS_IPFC_H__

#include <bfa_os_inc.h>
#include <protocol/types.h>
#include <defs/bfa_defs_types.h>

/**
 * FCS ip remote port states
 */
typedef enum {
	BFA_IPRP_UNINIT  = 0,	/*!< PORT is not yet initialized */
	BFA_IPRP_ONLINE  = 1,	/*!< process login is complete */
	BFA_IPRP_OFFLINE = 2,	/*!< iprp is offline */
} bfa_iprp_state_t;

/**
 * FCS remote port statistics
 */
typedef struct {
	uint32_t        offlines;
	uint32_t        onlines;
	uint32_t        rscns;
	uint32_t        plogis;
	uint32_t        logos;
	uint32_t        plogi_timeouts;
	uint32_t        plogi_rejects;
} bfa_iprp_stats_t;

/**
 * FCS iprp attribute returned in queries
 */
typedef struct {
	bfa_iprp_state_t state;
} bfa_iprp_attr_t;

typedef struct {
	uint32_t arp_sent;
	uint32_t arp_recv;
	uint32_t arp_reply_sent;
	uint32_t arp_reply_recv;
	uint32_t farp_sent;
	uint32_t farp_recv;
	uint32_t farp_reply_sent;
	uint32_t farp_reply_recv;
	uint32_t farp_reject_sent;
	uint32_t farp_reject_recv;
} bfa_ipfc_stats_t;

typedef struct {
	bfa_boolean_t enabled;
} bfa_ipfc_attr_t;

#endif /* __BFA_DEFS_IPFC_H__ */
