/*
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __BFA_DIAG_H__
#define __BFA_DIAG_H__

#include <bfa.h>
#include <bfa_os_inc.h>
#include <defs/bfa_defs_status.h>
#include <defs/bfa_defs_diag.h>

typedef void    (*bfa_cb_diag_t) (void *cbarg, bfa_status_t status);

/*
 * bfa hal diag API functions
 */
bfa_status_t    bfa_diag_reg_read(bfa_t *bfa, uint32_t offset,
				      uint32_t len, uint32_t *buf);

bfa_status_t    bfa_diag_reg_write(bfa_t *bfa, uint32_t offset,
				       uint32_t len, uint32_t value);

bfa_status_t    bfa_diag_tsensor_query(bfa_t *bfa, uint16_t *temp,
					   bfa_cb_diag_t cbfn, void *cbarg);

bfa_status_t    bfa_diag_fwping(bfa_t *bfa, uint32_t cnt,
			uint32_t pattern, bfa_diag_fwping_result_t *result,
			bfa_cb_diag_t cbfn, void *cbarg);

bfa_status_t    bfa_diag_sfpshow(bfa_t *bfa, sfp_mem_t *sfpmem,
				     uint8_t static_data, bfa_cb_diag_t cbfn,
				     void *cbarg);

bfa_status_t    bfa_diag_loopback(bfa_t *bfa,
				      bfa_pport_opmode_t opmode,
				      bfa_pport_speed_t speed, uint32_t lpcnt,
				      uint32_t pat,
				      bfa_diag_loopback_result_t *result,
				      bfa_cb_diag_t cbfn, void *cbarg);

bfa_status_t    bfa_diag_memtest(bfa_t *bfa,
				     bfa_diag_memtest_t *memtest,
				     uint32_t pattern,
				     bfa_diag_memtest_result_t *result,
				     bfa_cb_diag_t cbfn, void *cbarg);

bfa_status_t    bfa_diag_ledtest(bfa_t *bfa,
				     bfa_diag_ledtest_t *ledtest);

bfa_status_t    bfa_diag_beacon_port(bfa_t *bfa, bfa_boolean_t beacon,
						bfa_boolean_t link_e2e_beacon,
					 	uint32_t sec);

bfa_status_t    bfa_diag_pom_query(bfa_t *bfa);

#endif /* __BFA_DIAG_H__ */
