/*
 * Copyright (c)  2005-2008 Brocade Communications Systems, Inc.
 * All rights reserved
 * www.brocade.com
 *
 * See LICENSE.bfa for copyright and licensing details.
 */

#ifndef __BFA_FLASH_H__
#define __BFA_FLASH_H__

#include <defs/bfa_defs_status.h>
#include <defs/bfa_defs_flash.h>
#include <bfa.h>

typedef void    (*bfa_cb_flash_t) (void *cbarg, bfa_status_t status);

bfa_status_t    bfa_flash_get_attr(bfa_t *bfa, bfa_flash_attr_t *attr,
				       bfa_cb_flash_t cbfn, void *cbarg);
bfa_status_t    bfa_flash_erase_part(bfa_t *bfa,
					 bfa_flash_part_type_t type,
					 uint32_t instance,
					 bfa_cb_flash_t cbfn, void *cbarg);
bfa_status_t    bfa_flash_update_part(bfa_t *bfa,
					  bfa_flash_part_type_t type,
					  uint32_t instance, void *buf,
					  uint32_t len, uint32_t offset,
					  bfa_cb_flash_t cbfn, void *cbarg);
bfa_status_t    bfa_flash_read_part(bfa_t *bfa,
					bfa_flash_part_type_t type,
					uint32_t instance, void *buf,
					uint32_t len, uint32_t offset,
					bfa_cb_flash_t cbfn, void *cbarg);
bfa_status_t    bfa_flash_enable_optrom(bfa_t *bfa,
					bfa_cb_flash_t cbfn, void *cbarg);
bfa_status_t    bfa_flash_disable_optrom(bfa_t *bfa,
					bfa_cb_flash_t cbfn, void *cbarg);


#endif /* __BFA_FLASH_H__ */
